[Karmic][Aspire 3620] Kernel oops during suspend... "WARNING: at /build/buildd/linux-2.6.31/kernel/power/suspend_test.c:52 suspend_test_finish+0x80/0x90()"

Bug #472694 reported by Lim Chee Kau on 2009-11-03
788
This bug affects 176 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Gleidson Galindo

Bug Description

This "serious kernel problem" always appear after the computer switch on for a few minutes

ProblemType: KernelOops
Annotation: Your system might become unstable now and might need to be restarted.
Architecture: i386
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: cheekau 1393 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'ICH6'/'Intel ICH6 with ALC655 at irq 21'
   Mixer name : 'Realtek ALC655 rev 1'
   Components : 'AC97a:414c4761'
   Controls : 41
   Simple ctrls : 26
Date: Tue Nov 3 21:18:13 2009
DistroRelease: Ubuntu 9.10
Failure: oops
HibernationDevice: RESUME=UUID=dab4e1cf-1434-4720-9047-18d87eb0dfb3
InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release i386 (20091028.5)
MachineType: Acer Aspire 3620
Package: linux-image-2.6.31-14-generic 2.6.31-14.48
PccardctlIdent:
 Socket 0:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.31-14-generic root=UUID=a079a942-4efc-4654-8723-380c92337def ro quiet splash
ProcVersionSignature: Ubuntu 2.6.31-14.48-generic
RelatedPackageVersions:
 linux-backports-modules-2.6.31-14-generic N/A
 linux-firmware 1.24
SourcePackage: linux
Tags: kernel-oops
Title: WARNING: at /build/buildd/linux-2.6.31/kernel/power/suspend_test.c:52 suspend_test_finish+0x80/0x90()
Uname: Linux 2.6.31-14-generic i686
dmi.bios.date: 12/15/2005
dmi.bios.vendor: Phoenix Technologies LTD
dmi.bios.version: V1.01
dmi.board.name: Garda-910
dmi.board.vendor: Acer
dmi.board.version: Rev
dmi.chassis.asset.tag: None
dmi.chassis.type: 10
dmi.chassis.vendor: Acer
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnPhoenixTechnologiesLTD:bvrV1.01:bd12/15/2005:svnAcer:pnAspire3620:pvr0100:rvnAcer:rnGarda-910:rvrRev:cvnAcer:ct10:cvrN/A:
dmi.product.name: Aspire 3620
dmi.product.version: 0100
dmi.sys.vendor: Acer

Lim Chee Kau (cheekau) wrote :

I noticed that:

" /dev/snd/controlC0: cheekau 1393 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory"

This seems to narrow it down... I'll see what I can find out about this bug. My guess would be that pulseaudio is causing issues when the system goes in standby mode.

Is this a laptop or a desktop system? Have you tried temporarily disabling stand-by?

summary: - WARNING: at /build/buildd/linux-2.6.31/kernel/power/suspend_test.c:52
- suspend_test_finish+0x80/0x90()
+ [Karmic] Kernel oops during suspend... "WARNING: at
+ /build/buildd/linux-2.6.31/kernel/power/suspend_test.c:52
+ suspend_test_finish+0x80/0x90()"
Richard Seguin (sectech) wrote :

Did this randomly start happening or did this problem start when you upgraded the system?

Richard Seguin (sectech) wrote :

Isolated portion of dmesg that might be of value
--------
[ 5.789014] [drm] TV-14: set mode NTSC 480i 0
[ 5.918007] [drm] fb0: inteldrmfb frame buffer device
[ 5.918021] [drm] Initialized i915 1.6.0 20080730 for 0000:00:02.0 on minor 0
[ 5.982860] render error detected, EIR: 0x00000010
[ 5.982864] page table error
[ 5.982866] PGTBL_ER: 0x00000100
[ 5.982871] [drm:i915_handle_error] *ERROR* EIR stuck: 0x00000010, masking
[ 5.982879] render error detected, EIR: 0x00000010
[ 5.982881] page table error
[ 5.982883] PGTBL_ER: 0x00000100
-----

Changed in linux (Ubuntu):
status: New → Incomplete
Richard Seguin (sectech) wrote :

It seems that this model of laptop is having power management issues with suspend/resume.

A work around is to temporarily disable stand-by.

summary: - [Karmic] Kernel oops during suspend... "WARNING: at
+ [Karmic][Aspire 3620] Kernel oops during suspend... "WARNING: at
/build/buildd/linux-2.6.31/kernel/power/suspend_test.c:52
suspend_test_finish+0x80/0x90()"
Changed in linux (Ubuntu):
importance: Undecided → Medium
tonikasius (tonikasius) wrote :

Why is it incomplete, Richard Seguin???

How can we "complete" the missing information?

Hello,

This is an Acer Laptop with an old battery, where the capacity of the
battery has dropped to ~30%. Previously I run 9.04 on this machine and
everything runs smoothly, except when I browse to webpages with Flash. What
I did when I install 9.10 is I deleted all the files (including system
files) and install it as a new system.

How to "disable stand-by", by the way?

What else information do I need to provide to solve the problem?

Thanks for your help!

regards,
Chee Kau

On Tue, Nov 3, 2009 at 9:51 PM, Richard Seguin
<email address hidden>wrote:

> Did this randomly start happening or did this problem start when you
> upgraded the system?
>
> --
> [Karmic][Aspire 3620] Kernel oops during suspend... "WARNING: at
> /build/buildd/linux-2.6.31/kernel/power/suspend_test.c:52
> suspend_test_finish+0x80/0x90()"
> https://bugs.launchpad.net/bugs/472694
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “linux” package in Ubuntu: Incomplete
>
> Bug description:
> This "serious kernel problem" always appear after the computer switch on
> for a few minutes
>
> ProblemType: KernelOops
> Annotation: Your system might become unstable now and might need to be
> restarted.
> Architecture: i386
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: cheekau 1393 F.... pulseaudio
> CRDA: Error: [Errno 2] No such file or directory
> Card0.Amixer.info:
> Card hw:0 'ICH6'/'Intel ICH6 with ALC655 at irq 21'
> Mixer name : 'Realtek ALC655 rev 1'
> Components : 'AC97a:414c4761'
> Controls : 41
> Simple ctrls : 26
> Date: Tue Nov 3 21:18:13 2009
> DistroRelease: Ubuntu 9.10
> Failure: oops
> HibernationDevice: RESUME=UUID=dab4e1cf-1434-4720-9047-18d87eb0dfb3
> InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release i386 (20091028.5)
> MachineType: Acer Aspire 3620
> Package: linux-image-2.6.31-14-generic 2.6.31-14.48
> PccardctlIdent:
> Socket 0:
> no product info available
> PccardctlStatus:
> Socket 0:
> no card
> ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.31-14-generic
> root=UUID=a079a942-4efc-4654-8723-380c92337def ro quiet splash
> ProcVersionSignature: Ubuntu 2.6.31-14.48-generic
> RelatedPackageVersions:
> linux-backports-modules-2.6.31-14-generic N/A
> linux-firmware 1.24
> SourcePackage: linux
> Tags: kernel-oops
> Title: WARNING: at
> /build/buildd/linux-2.6.31/kernel/power/suspend_test.c:52
> suspend_test_finish+0x80/0x90()
> Uname: Linux 2.6.31-14-generic i686
> dmi.bios.date: 12/15/2005
> dmi.bios.vendor: Phoenix Technologies LTD
> dmi.bios.version: V1.01
> dmi.board.name: Garda-910
> dmi.board.vendor: Acer
> dmi.board.version: Rev
> dmi.chassis.asset.tag: None
> dmi.chassis.type: 10
> dmi.chassis.vendor: Acer
> dmi.chassis.version: N/A
> dmi.modalias:
> dmi:bvnPhoenixTechnologiesLTD:bvrV1.01:bd12/15/2005:svnAcer:pnAspire3620:pvr0100:rvnAcer:rnGarda-910:rvrRev:cvnAcer:ct10:cvrN/A:
> dmi.product.name: Aspire 3620
> dmi.product.version: 0100
> dmi.sys.vendor: Acer
>

ubuntuwill (wimmendorf) wrote :

This also happens to my Acer Aspire 4530. It's pretty annoying, don't ya think?

melon2006 (melon-klik) wrote :

I have that on Macbook 2.1. Everytime I suspend I got Kernel oops warning, though system seems to work fine...

Richard Seguin (sectech) wrote :

To the original bug reporter.

"Incomplete" is basically a "triaging in progress" type of tag, don't worry about that part.

Have you tried to disable stand-by?

System -> Preferences -> Power Management and then change the drop down to shutdown when the lid closes rather the stand-by?

Richard Seguin (sectech) wrote :

Lim Chee Kau: The problem has to do with the new kernel.

I did find a process that would be extremely helpful. Could you please take a look at:
https://wiki.ubuntu.com/KernelTeam/CrashdumpRecipe and post your results? Once I get that information it should be enough for this issue to be flagged as complete and triaged...

I know if I mark it as such now they will respond wanting more information, better to get it early.

Richard Seguin (sectech) wrote :

melon2006, Your issue deals with a different type of kernel due to it being a Macbook. Can you please file a separate bug for your specific hardware?

Thanks

Richard, isn't Macbook a laptop with a Intel Core Duo Processor, and so, a
x86 machine?

2009/11/7 Richard Seguin <email address hidden>

> melon2006, Your issue deals with a different type of kernel due to it
> being a Macbook. Can you please file a separate bug for your specific
> hardware?
>
> Thanks
>
> --
> [Karmic][Aspire 3620] Kernel oops during suspend... "WARNING: at
> /build/buildd/linux-2.6.31/kernel/power/suspend_test.c:52
> suspend_test_finish+0x80/0x90()"
> https://bugs.launchpad.net/bugs/472694
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “linux” package in Ubuntu: Incomplete
>
> Bug description:
> This "serious kernel problem" always appear after the computer switch on
> for a few minutes
>
> ProblemType: KernelOops
> Annotation: Your system might become unstable now and might need to be
> restarted.
> Architecture: i386
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: cheekau 1393 F.... pulseaudio
> CRDA: Error: [Errno 2] No such file or directory
> Card0.Amixer.info:
> Card hw:0 'ICH6'/'Intel ICH6 with ALC655 at irq 21'
> Mixer name : 'Realtek ALC655 rev 1'
> Components : 'AC97a:414c4761'
> Controls : 41
> Simple ctrls : 26
> Date: Tue Nov 3 21:18:13 2009
> DistroRelease: Ubuntu 9.10
> Failure: oops
> HibernationDevice: RESUME=UUID=dab4e1cf-1434-4720-9047-18d87eb0dfb3
> InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release i386 (20091028.5)
> MachineType: Acer Aspire 3620
> Package: linux-image-2.6.31-14-generic 2.6.31-14.48
> PccardctlIdent:
> Socket 0:
> no product info available
> PccardctlStatus:
> Socket 0:
> no card
> ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.31-14-generic
> root=UUID=a079a942-4efc-4654-8723-380c92337def ro quiet splash
> ProcVersionSignature: Ubuntu 2.6.31-14.48-generic
> RelatedPackageVersions:
> linux-backports-modules-2.6.31-14-generic N/A
> linux-firmware 1.24
> SourcePackage: linux
> Tags: kernel-oops
> Title: WARNING: at
> /build/buildd/linux-2.6.31/kernel/power/suspend_test.c:52
> suspend_test_finish+0x80/0x90()
> Uname: Linux 2.6.31-14-generic i686
> dmi.bios.date: 12/15/2005
> dmi.bios.vendor: Phoenix Technologies LTD
> dmi.bios.version: V1.01
> dmi.board.name: Garda-910
> dmi.board.vendor: Acer
> dmi.board.version: Rev
> dmi.chassis.asset.tag: None
> dmi.chassis.type: 10
> dmi.chassis.vendor: Acer
> dmi.chassis.version: N/A
> dmi.modalias:
> dmi:bvnPhoenixTechnologiesLTD:bvrV1.01:bd12/15/2005:svnAcer:pnAspire3620:pvr0100:rvnAcer:rnGarda-910:rvrRev:cvnAcer:ct10:cvrN/A:
> dmi.product.name: Aspire 3620
> dmi.product.version: 0100
> dmi.sys.vendor: Acer
>

Lim Chee Kau (cheekau) wrote :

Thanks Richard. The problem solved after I change to shutdown or blank
screen.

On Sun, Nov 8, 2009 at 5:28 AM, Richard Seguin
<email address hidden>wrote:

> To the original bug reporter.
>
> "Incomplete" is basically a "triaging in progress" type of tag, don't
> worry about that part.
>
> Have you tried to disable stand-by?
>
> System -> Preferences -> Power Management and then change the drop down
> to shutdown when the lid closes rather the stand-by?
>
> --
> [Karmic][Aspire 3620] Kernel oops during suspend... "WARNING: at
> /build/buildd/linux-2.6.31/kernel/power/suspend_test.c:52
> suspend_test_finish+0x80/0x90()"
> https://bugs.launchpad.net/bugs/472694
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “linux” package in Ubuntu: Incomplete
>
> Bug description:
> This "serious kernel problem" always appear after the computer switch on
> for a few minutes
>
> ProblemType: KernelOops
> Annotation: Your system might become unstable now and might need to be
> restarted.
> Architecture: i386
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: cheekau 1393 F.... pulseaudio
> CRDA: Error: [Errno 2] No such file or directory
> Card0.Amixer.info:
> Card hw:0 'ICH6'/'Intel ICH6 with ALC655 at irq 21'
> Mixer name : 'Realtek ALC655 rev 1'
> Components : 'AC97a:414c4761'
> Controls : 41
> Simple ctrls : 26
> Date: Tue Nov 3 21:18:13 2009
> DistroRelease: Ubuntu 9.10
> Failure: oops
> HibernationDevice: RESUME=UUID=dab4e1cf-1434-4720-9047-18d87eb0dfb3
> InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release i386 (20091028.5)
> MachineType: Acer Aspire 3620
> Package: linux-image-2.6.31-14-generic 2.6.31-14.48
> PccardctlIdent:
> Socket 0:
> no product info available
> PccardctlStatus:
> Socket 0:
> no card
> ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.31-14-generic
> root=UUID=a079a942-4efc-4654-8723-380c92337def ro quiet splash
> ProcVersionSignature: Ubuntu 2.6.31-14.48-generic
> RelatedPackageVersions:
> linux-backports-modules-2.6.31-14-generic N/A
> linux-firmware 1.24
> SourcePackage: linux
> Tags: kernel-oops
> Title: WARNING: at
> /build/buildd/linux-2.6.31/kernel/power/suspend_test.c:52
> suspend_test_finish+0x80/0x90()
> Uname: Linux 2.6.31-14-generic i686
> dmi.bios.date: 12/15/2005
> dmi.bios.vendor: Phoenix Technologies LTD
> dmi.bios.version: V1.01
> dmi.board.name: Garda-910
> dmi.board.vendor: Acer
> dmi.board.version: Rev
> dmi.chassis.asset.tag: None
> dmi.chassis.type: 10
> dmi.chassis.vendor: Acer
> dmi.chassis.version: N/A
> dmi.modalias:
> dmi:bvnPhoenixTechnologiesLTD:bvrV1.01:bd12/15/2005:svnAcer:pnAspire3620:pvr0100:rvnAcer:rnGarda-910:rvrRev:cvnAcer:ct10:cvrN/A:
> dmi.product.name: Aspire 3620
> dmi.product.version: 0100
> dmi.sys.vendor: Acer
>

James Cobban (jamescobban) wrote :

I am not running a laptop, but I got this crash, and I would like to be able to suspend my desktop as a power saving feature. In previous releases I could not do this because there was a problem in the display driver with respect to the specific Intel graphics chip on my desktop, which meant that the display was always severely corrupted upon resume. With the upgrade to 9.10 the display driver now correctly restores the display on resume, however I have encountered a probably related, and separately reported, problem that the display hangs at some random interval between 2 minutes and 2 days after a restart. Although everything in the system is running fine (as evidenced by the ability to access server functions), the system is useless for local operations because the display is frozen. So far the only resolution I have is to power down the system. If I do not get a resolution quickly I will have to restore an earlier version of the display driver, but I do not want to do that in a hurry in case the support team asks me to collect some additional diagnostic information. However so far nobody has suggested anything I can do. So if the support team does not get back to me very soon, I will back out the driver and then be unable to help the community.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
assignee: nobody → Gleidson Galindo (ggalindo3)
Leslie Viljoen (leslieviljoen) wrote :
Download full text (5.7 KiB)

I have this problem on an HP 6830s laptop. Please let me know if there is any further information I can provide, I can always reproduce the problem.

My syslog:

Mar 12 07:19:54 lesliev-laptop kernel: [10599.964200] [fglrx] Power down the ASIC .
Mar 12 07:19:54 lesliev-laptop kernel: [10599.964228] [fglrx] Preparing suspend fglrx in kernel.
Mar 12 07:19:54 lesliev-laptop kernel: [10599.964233] ------------[ cut here ]------------
Mar 12 07:19:54 lesliev-laptop kernel: [10599.964241] WARNING: at /build/buildd/linux-2.6.31/mm/page_alloc.c:1751 __alloc_pages_slowpath+0x421/0x490()
Mar 12 07:19:54 lesliev-laptop kernel: [10599.964244] Hardware name: HP Compaq 6830s
Mar 12 07:19:54 lesliev-laptop kernel: [10599.964246] Modules linked in: tun bridge stp bnep btusb isofs udf crc_itu_t binfmt_misc ppdev vboxnetadp vboxnetflt vboxdrv snd_hda_codec_analog snd_hda_intel snd_hda_codec snd_hwdep snd_pcm_oss snd_mixer_oss arc4 snd_pcm ecb snd_seq_dummy snd_seq_oss joydev snd_seq_midi iwlagn iwlcore mac80211 snd_rawmidi snd_seq_midi_event iptable_filter ip_tables snd_seq x_tables snd_timer snd_seq_device fglrx(P) psmouse serio_raw snd soundcore cfg80211 snd_page_alloc hp_accel lis3lv02d input_polldev led_class lp parport video output sky2 intel_agp agpgart
Mar 12 07:19:54 lesliev-laptop kernel: [10599.964292] Pid: 7622, comm: pm-hibernate Tainted: P 2.6.31-20-generic-pae #57-Ubuntu
Mar 12 07:19:54 lesliev-laptop kernel: [10599.964295] Call Trace:
Mar 12 07:19:54 lesliev-laptop kernel: [10599.964301] [<c014692d>] warn_slowpath_common+0x6d/0xa0
Mar 12 07:19:54 lesliev-laptop kernel: [10599.964305] [<c01ba3a1>] ? __alloc_pages_slowpath+0x421/0x490
Mar 12 07:19:54 lesliev-laptop kernel: [10599.964309] [<c01ba3a1>] ? __alloc_pages_slowpath+0x421/0x490
Mar 12 07:19:54 lesliev-laptop kernel: [10599.964312] [<c0146975>] warn_slowpath_null+0x15/0x20
Mar 12 07:19:54 lesliev-laptop kernel: [10599.964321] [<c01ba3a1>] __alloc_pages_slowpath+0x421/0x490
Mar 12 07:19:54 lesliev-laptop kernel: [10599.964325] [<c01b9df8>] ? get_page_from_freelist+0x1e8/0x370
Mar 12 07:19:54 lesliev-laptop kernel: [10599.964328] [<c01ba51f>] __alloc_pages_nodemask+0x10f/0x120
Mar 12 07:19:54 lesliev-laptop kernel: [10599.964331] [<c01ba577>] __get_free_pages+0x17/0x30
Mar 12 07:19:54 lesliev-laptop kernel: [10599.964334] [<c01e448f>] __kmalloc+0xdf/0x180
Mar 12 07:19:54 lesliev-laptop kernel: [10599.964369] [<f8b47a80>] KCL_MEM_SmallBufferAllocAtomic+0x10/0x20 [fglrx]
Mar 12 07:19:54 lesliev-laptop kernel: [10599.964404] [<f8b5904b>] firegl_save_fb+0x3b/0x1a0 [fglrx]
Mar 12 07:19:54 lesliev-laptop kernel: [10599.964439] [<f8b58116>] ? firegl_pm_save_framebuffer+0x246/0x2d0 [fglrx]
Mar 12 07:19:54 lesliev-laptop kernel: [10599.964477] [<f8b7a3d4>] ? firegl_cmmqs_recoverable_surface_info+0xc4/0xd0 [fglrx]
Mar 12 07:19:54 lesliev-laptop kernel: [10599.964521] [<f8b5b2c1>] ? firegl_cail_powerdown+0xd1/0x240 [fglrx]
Mar 12 07:19:54 lesliev-laptop kernel: [10599.964528] [<c0350cf1>] ? acpi_bus_power_manageable+0xe/0x23
Mar 12 07:19:54 lesliev-laptop kernel: [10599.964557] [<f8b43312>] ? fglrx_pci_suspend+0x82/0x140 [fglrx]
Mar 12 07:19:54 lesliev-laptop kernel: [10599.9...

Read more...

Ed (classicmacintosh) wrote :

Problem occurs with Ubuntu 9.10 on MacBookPro5,5 (running 32-bit)
+Proprietary nVIDIA drivers
+Patched ALSA (so sound works)
+Proprietary Broadcom STA drivers
-Not updated kernel, will post back later when I have updated everything in sight!

This bug was filed against a series that is no longer supported and so is being marked as Won't Fix. If this issue still exists in a supported series, please file a new bug.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: Confirmed → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers